<script lang="ts">
	import { page } from '$app/stores';
	import FooterItem from './FooterItem.svelte';
	import { navItems } from '../../utils/const';
	import { store_footerHeight } from '../../utils/store';

	$: currentPath = $page.url.pathname;
	// let activePath: number = 0;
	// $: if (currentPath.includes('/produit')) {
	// 	activePath = 1;
	// } else {
	// 	activePath = 0;
	// }

	let footerItems = navItems;
	$: if (currentPath) {
		footerItems = footerItems.map((item) => {
			if (item.link === currentPath) {
				item.active = true;
				item.iconParam.strokeWidth = 2;
			} else {
				item.active = false;
				item.iconParam.strokeWidth = 1;
			}
			return item;
		});
	}

	let iconProps = {
		strokeWidth: 0
	};

	let footerHeight: number = 0;
	$: store_footerHeight.update((_) => footerHeight);
</script>

<div
	class="fixed -bottom-1 left-0 w-full h-10 flex items-center justify-center"
	style="z-index: 1001;"
	bind:clientHeight={footerHeight}
>
	<div
		class="flex flex-row justify-between bg-gris-2 w-full border-t-2 border-t-primary-800 shadow-md shadow-primary-800 pb-4"
	>
		{#each footerItems as item}
			<FooterItem link={item.link} title={item.title} isActive={item.active}>
				<svelte:component this={item.icon} {...item.iconParam} />
			</FooterItem>
		{/each}
	</div>
</div>
